<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.info.mapper.EQuarterlyElectricityBillMapper">

    <resultMap id="BaseResultMap" type="com.zksy.info.domain.EQuarterlyElectricityBill">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="enterpriseName" column="enterprise_name" jdbcType="VARCHAR"/>
            <result property="unifiedSocialCreditCode" column="unified_social_credit_code" jdbcType="CHAR"/>
            <result property="gridAccountNumber" column="grid_account_number" jdbcType="VARCHAR"/>
            <result property="year" column="year" jdbcType="VARCHAR"/>
            <result property="firstQuarterConsumption" column="first_quarter_consumption" jdbcType="VARCHAR"/>
            <result property="secondQuarterConsumption" column="second_quarter_consumption" jdbcType="VARCHAR"/>
            <result property="thirdQuarterConsumption" column="third_quarter_consumption" jdbcType="VARCHAR"/>
            <result property="fourthQuarterConsumption" column="fourth_quarter_consumption" jdbcType="VARCHAR"/>
            <result property="arrearExists" column="arrear_exists" jdbcType="VARCHAR"/>
            <result property="annualTotalConsumption" column="annual_total_consumption" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,enterprise_name,unified_social_credit_code,
        grid_account_number,year,first_quarter_consumption,
        second_quarter_consumption,third_quarter_consumption,fourth_quarter_consumption,
        arrear_exists,annual_total_consumption,create_time,
        create_by,update_time,update_by
    </sql>
</mapper>
